QGIS Application - Feature request #1442
system specific location of qgis settings
2008-12-02 05:09 AM - Borys Jurgiel

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11502
Description

The qgis QSettings are stored in the system location, while the sqlite & plugin directory is always ~/.qgis. Shouldn't we consider the use of
a system-specific location? For example ~\\Application Data\\qgis in Windows XP

Related issues:

Duplicated by QGIS Application - Feature request # 7192: system specific loca... Closed 2013-02-20

History

#1 - 2008-12-15 09:35 AM - Borys Jurgiel

| believe it's a bad idea to move the database and plugin directory between 1.0.0 and 1.0.1. It will leave the abandoned directory and lost a part of settings.

Users will be just confused and annoyed after upgrading to 1.0.1... So I'd rather prefer to force this change right now and save the future consistency.

#2 - 2008-12-15 11:10 AM - Marco Hugentobler

I think it is even worse to move it so short before release. We don't have time to react if there is any unexpected problem. In my opinion, changes like this

should be done before feature freeze.

#3 - 2009-12-19 05:57 AM - Borys Jurgiel

so better let's wait for the 2.0

#4 - 2010-07-21 06:57 AM - William Kyngesburye

What about doing this for one of the 1.x releases, maybe 1.6?

Also, add a case for OS X:

#elif defined Q_WS_MAC

return QDir::homePath() + QString( "/Library/Application Support/QGIS/");

I'm not sure if there is a variable for that path fragment or full path like for Windows, but as far as | know it's hardwired in the system as a standard folder as

is never localized.

Note also that there is now a runtime switch to set the settings dir, commit:19506e9c (SVN r13952), so this patch will have to be changed a bit to fit in with

that.
#5 - 2010-11-30 07:14 AM - William Kyngesburye

Can we get this moving for 1.7?

#6 - 2011-07-03 11:14 AM - William Kyngesburye
- Target version changed from Version 1.7.0 to Version 2.0.0
- Priority changed from Low to Normal

OK, so not for 1.7.

2.0itis then...?

#7 - 2011-12-17 01:52 AM - Jiirgen Fischer
- Pull Request or Patch supplied set to No
- Assignee deleted (Jiirgen Fischer)

#8 - 2011-12-25 01:09 PM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

#9 - 2012-03-30 05:48 AM - Regis Haubourg

Hi all,

my admin sys asks me to deport .qgis under Application Data to comply with Windows profile replication tools.. (aargh 1.7.4 deployed, so .qgis is just
above that directory.. ). has Jlrgen patch been applied on trunk?

Any idea if backporting to 1.8 is complicated or risky? Any workaround waiting for this ?

Régis

#10 - 2012-07-20 02:26 AM - Regis Haubourg

Patch supplied only deals with WIN32. Since we Have Win 64 also, is that patch OK for all windows versions?

#11 - 2012-10-06 02:13 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#12 - 2012-10-12 01:33 AM - Regis Haubourg

Hello all,

since startup option --configpath seems to have been consolidated in 1.9, maybe we can close the demand.

We could add a note in documentation dedicated to system administrators to explain clearly that possibility of moving profiles away from default location.

On the other hand, there remains bug in Qt to get AppData path correctly in Windows. And Windows specs are not really public. So changing default

behaviour in QGIS could generate more issues than it could solve.

So | suggest closing the issue if everybody agrees.

Régis

#13 - 2012-10-12 01:54 AM - Borys Jurgiel

Ok, | don't insist on keeping it open. I'm not a Windows user, so | leave the decision to more competent folks.
#14 - 2012-10-12 02:08 AM - Jiirgen Fischer
- Status changed from Open to Closed
- Resolution set to wontfix

#15 - 2012-10-12 08:15 AM - William Kyngesburye

| don't agree with closing it. The --configpath startup flag is not a usable solution on OS X since that requires starting from a Terminal, | don't think there is
a way to add flags to the startup of an app started in the normal way. The desired config path must be defined as the default in compilation.

#16 - 2012-11-08 04:49 AM - Regis Haubourg

Hi all,

| found a good reason to reopen this ticket too. | have directories like '/sextante’ and ".maptplotlib' too! We really need to centralize all profile info,
caches and other preferences under .qgis. This should be explained as a rule for plugin developpement. Sextante is a particular case, since it now
is part of qgis core. We really need to move it somewhere inside .qgis. | will open a ticket for sextante, but we need to solve it here IMHO.

Thoughts?

#17 - 2012-11-08 06:33 AM - William Kyngesburye

Not quite the same thing - this ticket is about moving the .qgis folder, not what's in it.

Also, | think that moving .matplotlib files into .qgis is not something we should do since matplotlib is external to QGIS. It would only make sense if matplotlib
was bundled in the application package on OS X or Windows, but it's such a useful package independent of QGIS and readily available for all platforms |
don't see any reason to bundle it.

#18 - 2012-11-08 07:03 AM - Regis Haubourg

| understand you quite well William from a dev point of view. | meant that profile location for qgis uses is not closed at all, we should reopen it.

Please put yourself not as a developper but as a system administrator with 300 users profiles to handle, and qgis is the only app writing so much things
everywhere. How serious will look QGIS if we have to cheat the system for each for each sub library or tool driven from qgis. | don't want to create symbolic

links for each new library used by a plugin. There is no way to know them in advance and there is a serious risk of data loss.

| didn't test with --configpath option, but does matplotlib or sextante move their profiles in the configpath directory ?

#19 - 2012-11-22 07:56 AM - William Kyngesburye

- Target version changed from Future Release - Nice to have to Version 2.0.0
- Priority changed from Normal to High

- Resolution deleted (wontfix)

Been meaning to reopen this. | think this is very important, especially on OS X. As I've said before, --configpath is not a solution since apps are not started
from a Terminal on OS X. The config path needs to be compiled into QGIS.

What files are put in the configpath is another matter, for another bug report if needed.

#20 - 2012-11-22 07:57 AM - William Kyngesburye

| guess | can't reopen this... maybe an admin, or bug reporter (Borys)?
#21 - 2012-11-22 11:43 AM - Borys Jurgiel

| can't either...

Files
atch_for_1442 diff 412 Bytes 2008-12-02 Jurgen Fischer
